Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Content/Site.css
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Content/Site.css	(revision 4952)
+++ 	(revision )
@@ -1,343 +1,0 @@
-﻿/*----------------------------------------------------------
-The base color for this template is #5c87b2. If you'd like
-to use a different color start by replacing all instances of
-#5c87b2 with your new color.
-----------------------------------------------------------*/
-body
-{
-    background-color: #5c87b2;
-    font-size: .75em;
-    font-family: Verdana, Helvetica, Sans-Serif;
-    margin: 0;
-    padding: 0;
-    color: #696969;
-}
-
-a:link
-{
-    color: #034af3;
-    text-decoration: underline;
-}
-a:visited
-{
-    color: #505abc;
-}
-a:hover
-{
-    color: #1d60ff;
-    text-decoration: none;
-}
-a:active
-{
-    color: #12eb87;
-}
-
-p, ul
-{
-    margin-bottom: 20px;
-    line-height: 1.6em;
-}
-
-/* HEADINGS   
-----------------------------------------------------------*/
-h1, h2, h3, h4, h5, h6
-{
-    font-size: 1.5em;
-    color: #000;
-    font-family: Arial, Helvetica, sans-serif;
-}
-
-h1
-{
-    font-size: 2em;
-    padding-bottom: 0;
-    margin-bottom: 0;
-}
-h2
-{
-    padding: 0 0 10px 0;
-}
-h3
-{
-    font-size: 1.2em;
-}
-h4
-{
-    font-size: 1.1em;
-}
-h5, h6
-{
-    font-size: 1em;
-}
-
-/* this rule styles <h2> tags that are the 
-first child of the left and right table columns */
-.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2
-{
-    margin-top: 0;
-}
-
-/* PRIMARY LAYOUT ELEMENTS   
-----------------------------------------------------------*/
-
-/* you can specify a greater or lesser percentage for the 
-page width. Or, you can specify an exact pixel width. */
-.page
-{
-    width: 90%;
-    margin-left: auto;
-    margin-right: auto;
-}
-
-#header
-{
-    position: relative;
-    margin-bottom: 0px;
-    color: #000;
-    padding: 0;
-}
-
-#header h1
-{
-    font-weight: bold;
-    padding: 5px 0;
-    margin: 0;
-    color: #fff;
-    border: none;
-    line-height: 2em;
-    font-family: Arial, Helvetica, sans-serif;
-    font-size: 32px !important;
-}
-
-#main
-{
-    padding: 30px 30px 15px 30px;
-    background-color: #fff;
-    margin-bottom: 30px;
-    _height: 1px; /* only IE6 applies CSS properties starting with an underscore */
-}
-
-#footer
-{
-    color: #999;
-    padding: 10px 0;
-    text-align: center;
-    line-height: normal;
-    margin: 0;
-    font-size: .9em;
-}
-
-/* TAB MENU   
-----------------------------------------------------------*/
-ul#menu
-{
-    border-bottom: 1px #5C87B2 solid;
-    padding: 0 0 2px;
-    position: relative;
-    margin: 0;
-    text-align: right;
-}
-
-ul#menu li
-{
-    display: inline;
-    list-style: none;
-}
-
-ul#menu li#greeting
-{
-    padding: 10px 20px;
-    font-weight: bold;
-    text-decoration: none;
-    line-height: 2.8em;
-    color: #fff;
-}
-
-ul#menu li a
-{
-    padding: 10px 20px;
-    font-weight: bold;
-    text-decoration: none;
-    line-height: 2.8em;
-    background-color: #e8eef4;
-    color: #034af3;
-}
-
-ul#menu li a:hover
-{
-    background-color: #fff;
-    text-decoration: none;
-}
-
-ul#menu li a:active
-{
-    background-color: #a6e2a6;
-    text-decoration: none;
-}
-
-ul#menu li.selected a
-{
-    background-color: #fff;
-    color: #000;
-}
-
-/* FORM LAYOUT ELEMENTS   
-----------------------------------------------------------*/
-
-fieldset 
-{
-    margin: 1em 0;
-    padding: 1em;
-    border: 1px solid #CCC;
-}
-
-fieldset p 
-{
-    margin: 2px 12px 10px 10px;
-}
-
-legend 
-{
-    font-size: 1.1em;
-    font-weight: 600;
-    padding: 2px 4px 8px 4px;
-}
-
-input[type="text"] 
-{
-    border: 1px solid #CCC;
-}
-
-input[type="password"] 
-{
-    width: 200px;
-    border: 1px solid #CCC;
-}
-
-/* TABLE
-----------------------------------------------------------*/
-
-table 
-{
-  border: solid 1px #e8eef4;
-  border-collapse: collapse;
-}
-
-table td 
-{
-  padding: 5px;   
-  border: solid 1px #e8eef4;
-}
-
-table th
-{
-  padding: 6px 5px;
-  text-align: left;
-  background-color: #e8eef4; 
-  border: solid 1px #e8eef4;   
-}
-
-/* MISC  
-----------------------------------------------------------*/
-.clear
-{
-    clear: both;
-}
-
-.error
-{
-    color:Red;
-}
-
-#menucontainer
-{
-    margin-top:40px;
-}
-
-div#title
-{
-    display:block;
-    float:left;
-    text-align:left;
-}
-
-#logindisplay
-{
-    font-size:1.1em;
-    display:block;
-    text-align:right;
-    margin:10px;
-    color:White;
-}
-
-#logindisplay a:link
-{
-    color: white;
-    text-decoration: underline;
-}
-
-#logindisplay a:visited
-{
-    color: white;
-    text-decoration: underline;
-}
-
-#logindisplay a:hover
-{
-    color: white;
-    text-decoration: none;
-}
-
-/* Styles for validation helpers
------------------------------------------------------------*/
-.field-validation-error
-{
-    color: #ff0000;
-}
-
-.field-validation-valid
-{
-    display: none;
-}
-
-.input-validation-error
-{
-    border: 1px solid #ff0000;
-    background-color: #ffeeee;
-}
-
-.validation-summary-errors
-{
-    font-weight: bold;
-    color: #ff0000;
-}
-
-.validation-summary-valid
-{
-    display: none;
-}
-
-/* Styles for editor and display helpers
-----------------------------------------------------------*/
-.display-label,
-.editor-label,
-.display-field,
-.editor-field
-{
-    margin: 0.5em 0;
-}
-
-.text-box
-{
-    width: 30em;
-}
-
-.text-box.multi-line
-{
-    height: 6.5em;
-}
-
-.tri-state
-{
-    width: 6em;
-}
Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Content/themes/default/Site.css
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Content/themes/default/Site.css	(revision 5072)
+++ branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Content/themes/default/Site.css	(revision 5072)
@@ -0,0 +1,343 @@
+﻿/*----------------------------------------------------------
+The base color for this template is #5c87b2. If you'd like
+to use a different color start by replacing all instances of
+#5c87b2 with your new color.
+----------------------------------------------------------*/
+body
+{
+    background-color: #5c87b2;
+    font-size: .75em;
+    font-family: Verdana, Helvetica, Sans-Serif;
+    margin: 0;
+    padding: 0;
+    color: #696969;
+}
+m
+a:link
+{
+    color: #034af3;
+    text-decoration: underline;
+}
+a:visited
+{
+    color: #505abc;
+}
+a:hover
+{
+    color: #1d60ff;
+    text-decoration: none;
+}
+a:active
+{
+    color: #12eb87;
+}
+
+p, ul
+{
+    margin-bottom: 20px;
+    line-height: 1.6em;
+}
+
+/* HEADINGS   
+----------------------------------------------------------*/
+h1, h2, h3, h4, h5, h6
+{
+    font-size: 1.5em;
+    color: #000;
+    font-family: Arial, Helvetica, sans-serif;
+}
+
+h1
+{
+    font-size: 2em;
+    padding-bottom: 0;
+    margin-bottom: 0;
+}
+h2
+{
+    padding: 0 0 10px 0;
+}
+h3
+{
+    font-size: 1.2em;
+}
+h4
+{
+    font-size: 1.1em;
+}
+h5, h6
+{
+    font-size: 1em;
+}
+
+/* this rule styles <h2> tags that are the 
+first child of the left and right table columns */
+.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2
+{
+    margin-top: 0;
+}
+
+/* PRIMARY LAYOUT ELEMENTS   
+----------------------------------------------------------*/
+
+/* you can specify a greater or lesser percentage for the 
+page width. Or, you can specify an exact pixel width. */
+.page
+{
+    width: 90%;
+    margin-left: auto;
+    margin-right: auto;
+}
+
+#header
+{
+    position: relative;
+    margin-bottom: 0px;
+    color: #000;
+    padding: 0;
+}
+
+#header h1
+{
+    font-weight: bold;
+    padding: 5px 0;
+    margin: 0;
+    color: #fff;
+    border: none;
+    line-height: 2em;
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 32px !important;
+}
+
+#main
+{
+    padding: 30px 30px 15px 30px;
+    background-color: #fff;
+    margin-bottom: 30px;
+    _height: 1px; /* only IE6 applies CSS properties starting with an underscore */
+}
+
+#footer
+{
+    color: #999;
+    padding: 10px 0;
+    text-align: center;
+    line-height: normal;
+    margin: 0;
+    font-size: .9em;
+}
+
+/* TAB   
+----------------------------------------------------------*/
+ul#menu
+{
+    border-bottom: 1px #5C87B2 solid;
+    padding: 0 0 2px;
+    position: relative;
+    margin: 0;
+    text-align: right;
+}
+
+ul#menu li
+{
+    display: inline;
+    list-style: none;
+}
+
+ul#menu li#greeting
+{
+    padding: 10px 20px;
+    font-weight: bold;
+    text-decoration: none;
+    line-height: 2.8em;
+    color: #fff;
+}
+
+ul#menu li a
+{
+    padding: 10px 20px;
+    font-weight: bold;
+    text-decoration: none;
+    line-height: 2.8em;
+    background-color: #e8eef4;
+    color: #034af3;
+}
+
+ul#menu li a:hover
+{
+    background-color: #fff;
+    text-decoration: none;
+}
+
+ul#menu li a:active
+{
+    background-color: #a6e2a6;
+    text-decoration: none;
+}
+
+ul#menu li.selected a
+{
+    background-color: #fff;
+    color: #000;
+}
+
+/* FORM LAYOUT ELEMENTS   
+----------------------------------------------------------*/
+
+fieldset 
+{
+    margin: 1em 0;
+    padding: 1em;
+    border: 1px solid #CCC;
+}
+
+fieldset p 
+{
+    margin: 2px 12px 10px 10px;
+}
+
+legend 
+{
+    font-size: 1.1em;
+    font-weight: 600;
+    padding: 2px 4px 8px 4px;
+}
+
+input[type="text"] 
+{
+    border: 1px solid #CCC;
+}
+
+input[type="password"] 
+{
+    width: 200px;
+    border: 1px solid #CCC;
+}
+
+/* TABLE
+----------------------------------------------------------*/
+
+table 
+{
+  border: solid 1px #e8eef4;
+  border-collapse: collapse;
+}
+
+table td 
+{
+  padding: 5px;   
+  border: solid 1px #e8eef4;
+}
+
+table th
+{
+  padding: 6px 5px;
+  text-align: left;
+  background-color: #e8eef4; 
+  border: solid 1px #e8eef4;   
+}
+
+/* MISC  
+----------------------------------------------------------*/
+.clear
+{
+    clear: both;
+}
+
+.error
+{
+    color:Red;
+}
+
+#menucontainer
+{
+    margin-top:40px;
+}
+
+div#title
+{
+    display:block;
+    float:left;
+    text-align:left;
+}
+
+#logindisplay
+{
+    font-size:1.1em;
+    display:block;
+    text-align:right;
+    margin:10px;
+    color:White;
+}
+
+#logindisplay a:link
+{
+    color: white;
+    text-decoration: underline;
+}
+
+#logindisplay a:visited
+{
+    color: white;
+    text-decoration: underline;
+}
+
+#logindisplay a:hover
+{
+    color: white;
+    text-decoration: none;
+}
+
+/* Styles for validation helpers
+-----------------------------------------------------------*/
+.field-validation-error
+{
+    color: #ff0000;
+}
+
+.field-validation-valid
+{
+    display: none;
+}
+
+.input-validation-error
+{
+    border: 1px solid #ff0000;
+    background-color: #ffeeee;
+}
+
+.validation-summary-errors
+{
+    font-weight: bold;
+    color: #ff0000;
+}
+
+.validation-summary-valid
+{
+    display: none;
+}
+
+/* Styles for editor and display helpers
+----------------------------------------------------------*/
+.display-label,
+.editor-label,
+.display-field,
+.editor-field
+{
+    margin: 0.5em 0;
+}
+
+.text-box
+{
+    width: 30em;
+}
+
+.text-box.multi-line
+{
+    height: 6.5em;
+}
+
+.tri-state
+{
+    width: 6em;
+}
Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Content/themes/hl/Site.css
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Content/themes/hl/Site.css	(revision 5072)
+++ branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Content/themes/hl/Site.css	(revision 5072)
@@ -0,0 +1,346 @@
+﻿/* Main Layout Styles
+----------------------------------------------------------*/
+
+body {
+  margin: 0;
+  padding: 0;
+  width: 100%;
+  height: 100%;
+  background-color: #FAFAFA;
+  text-align: center;
+  font-size: .75em;
+  font-family: Verdana, Helvetica, Sans-Serif;
+}
+
+img {
+  border: 0px;
+}
+
+h1, h2, h3, h4, h5 {
+  margin: 0px;
+  padding: 0px;
+}
+
+h1 {
+  color: #F7921D;
+  border-bottom: 1px dotted #AAAAAA;
+  font-size: 1.5em;
+  padding-bottom: 2px;
+  margin-bottom: 4px;
+}
+
+h2 {
+  color: #333333;
+  border-bottom: 1px solid #EEEEEE;
+  font-size: 1.2em;
+  padding-bottom: 3px;
+}
+
+h3 {
+  color: #333333;
+  font-size: 1em;
+  padding-bottom: 6px;
+}
+
+#master-page {
+  margin: 0 auto;
+  width: 999px;
+  text-align: left;
+}
+
+#master-header {
+  width: 999px;
+  height: 54px;
+  background-repeat: no-repeat;
+  background-image: url("images/bg_header.png");
+}
+
+#master-header .logo {
+  color: #FFFFFF;
+  display: block;
+  float: left;
+  text-align: left;
+  font-size: 28px;
+  padding-top: 18px;
+  padding-left: 8px;
+}
+
+#master-header .logo a {
+  text-decoration: none;
+  color: #FFFFFF;
+}
+
+#master-header .login {
+  font-size: 1.2em;
+  display: block;
+  text-align: right;
+  margin: 10px;
+  color: #FFFFFF;
+  float: right;
+  margin-top: 28px;
+}
+
+#master-header .login a {
+  background-color: #000000;
+  padding-left: 12px;
+  padding-right: 12px;
+  padding-top: 4px;
+  padding-bottom: 4px;
+  color: #FFFFFF;
+  text-decoration: none;
+  font-weight: bold;
+  border: 1px solid #CCCCCC;
+}
+
+#master-header .login a:hover {
+  color: #AAAAAA;
+}
+
+#master-mainmenu {
+  background-color: #000000;
+  background-repeat: repeat-y;
+  background-image: url("images/bg_mainmenu.png");
+  padding-left: 8px;
+  padding-right: 8px;
+  margin: 0px;
+  color: #FFFFFF;
+  height: 28px;
+}
+
+#master-submenu {
+  
+}
+
+#master-submenu UL {
+  margin: 0px;
+  padding: 0px;
+  margin-left: 5px;
+  margin-right: 6px;
+  border-bottom: 1px dotted #F7921D;  
+  padding: 4px;
+}
+
+#master-submenu UL LI {
+  display: inline;
+  list-style: none;
+  border-right: 1px dotted #333333;
+}
+
+#master-submenu UL LI a {
+  padding: 0px 20px;
+  padding-top: 4px;
+  font-weight: bold;
+  text-decoration: none;
+  line-height: 2.0em;
+  color: #333333;  
+}
+
+#master-submenu UL LI a:hover {
+  color: #F7921D;
+}
+
+#master-main {
+  background-repeat: repeat-y;
+  background-image: url("images/bg_main.png");
+}
+
+#master-MainContent {
+  padding-left: 12px;
+  padding-right: 12px;
+  padding-top: 12px;
+  width: 975px;
+  display: block;
+  float: left;
+}
+
+#master-footer {
+  background-repeat: no-repeat;
+  background-image: url("images/bg_footer.png");
+  width: 999px;
+  height: 64px;
+  clear: both;
+}
+
+#master-footer .logo {
+  display: block;
+  text-align: right;
+  padding-right: 22px;
+  padding-top: 10px;
+}
+
+/* TAB MENU   
+----------------------------------------------------------*/
+ul#menu {
+  padding: 0px;
+  margin: 0px;
+  text-align: left;
+}
+
+ul#menu li {
+  display: inline;
+  list-style: none;
+}
+
+ul#menu li#greeting {
+  padding: 5px 20px;
+  font-weight: bold;
+  text-decoration: none;
+  line-height: 2.8em;
+  color: #fff;
+}
+
+ul#menu li a {
+  padding: 0px 20px;
+  padding-top: 4px;
+  font-weight: bold;
+  text-decoration: none;
+  line-height: 2.5em;
+  color: #FFFFFF;
+}
+
+ul#menu li a:hover {
+  text-decoration: none;
+  color: #AAAAAA;
+}
+
+ul#menu li a:active {
+}
+
+ul#menu li.selected a {
+  color: #F7921D;
+  background-color: #FFFFFF;
+  padding-bottom: 8px;
+}
+
+/* FORM LAYOUT ELEMENTS   
+----------------------------------------------------------*/
+
+fieldset {
+  margin: 1em 0;
+  padding: 1em;
+  border: 1px solid #CCC;
+}
+
+fieldset p {
+  margin: 2px 12px 10px 10px;
+}
+
+legend {
+  font-size: 1.1em;
+  font-weight: 600;
+  padding: 2px 4px 8px 4px;
+}
+
+input[type="text"] {
+  border: 1px solid #CCC;
+}
+
+input[type="password"] {
+  width: 200px;
+  border: 1px solid #CCC;
+}
+
+/* TABLE
+----------------------------------------------------------*/
+
+table {
+  border: solid 1px #e8eef4;
+  border-collapse: collapse;
+}
+
+table td {
+  padding: 5px;
+  border: solid 1px #e8eef4;
+}
+
+table th {
+  padding: 6px 5px;
+  text-align: left;
+  background-color: #e8eef4;
+  border: solid 1px #e8eef4;
+}
+
+/* MISC  
+----------------------------------------------------------*/
+.clear {
+  clear: both;
+}
+
+.error {
+  color: Red;
+}
+
+#menucontainer {
+  margin-top: 40px;
+}
+
+div#title {
+  display: block;
+  float: left;
+  text-align: left;
+}
+
+#logindisplay {
+  font-size: 1.1em;
+  display: block;
+  text-align: right;
+  margin: 10px;
+  color: White;
+}
+
+#logindisplay a:link {
+  color: white;
+  text-decoration: underline;
+}
+
+#logindisplay a:visited {
+  color: white;
+  text-decoration: underline;
+}
+
+#logindisplay a:hover {
+  color: white;
+  text-decoration: none;
+}
+
+/* Styles for validation helpers
+-----------------------------------------------------------*/
+.field-validation-error {
+  color: #ff0000;
+}
+
+.field-validation-valid {
+  display: none;
+}
+
+.input-validation-error {
+  border: 1px solid #ff0000;
+  background-color: #ffeeee;
+}
+
+.validation-summary-errors {
+  font-weight: bold;
+  color: #ff0000;
+}
+
+.validation-summary-valid {
+  display: none;
+}
+
+/* Styles for editor and display helpers
+----------------------------------------------------------*/
+.display-label, .editor-label, .display-field, .editor-field {
+  margin: 0.5em 0;
+}
+
+.text-box {
+  width: 30em;
+}
+
+.text-box.multi-line {
+  height: 6.5em;
+}
+
+.tri-state {
+  width: 6em;
+}