Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IMetaOptimizationEvaluator.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IMetaOptimizationEvaluator.cs	(revision 5110)
+++ 	(revision )
@@ -1,8 +1,0 @@
-﻿using HeuristicLab.Optimization;
-
-namespace HeuristicLab.Problems.MetaOptimization {
-  /// <summary>
-  /// An interface which represents an evaluation operator for Meta Optimization Problems.
-  /// </summary>
-  public interface IMetaOptimizationEvaluator : ISingleObjectiveEvaluator {  }
-}
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IOptimizable.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IOptimizable.cs	(revision 5110)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IOptimizable.cs	(revision 5111)
@@ -7,12 +7,15 @@
 
 namespace HeuristicLab.Problems.MetaOptimization {
+  public delegate void MutateDelegate(IRandom random, IOptimizable configuartion, ParameterConfigurationManipulator pcmanip);
+  public delegate void CrossDelegate(IRandom random, IOptimizable configuartion, ParameterConfigurationCrossover pccross);
+
   public interface IOptimizable : IItem {
     bool IsOptimizable { get; }
     bool Optimize { get; set; }
     ConstrainedValue ActualValue { get; set; }
-
+    
     void Randomize(IRandom random);
-    void Mutate(IRandom random);
-    void Cross(IOptimizable other, IRandom random);
+    void Mutate(IRandom random, MutateDelegate mutate, ParameterConfigurationManipulator pcmanip);
+    void Cross(IRandom random, IOptimizable other, CrossDelegate cross, ParameterConfigurationCrossover pccross);
     
     event EventHandler IsOptimizableChanged;
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IParameterConfiguration.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IParameterConfiguration.cs	(revision 5110)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IParameterConfiguration.cs	(revision 5111)
@@ -11,4 +11,5 @@
     ICheckedValueConfigurationCollection ValueConfigurations { get; }
     IItemSet<IItem> ValidValues { get; }
+    int ActualValueConfigurationIndex { get; set; }
 
     void Parameterize(IValueParameter parameter);
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IParameterConfigurationEvaluator.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IParameterConfigurationEvaluator.cs	(revision 5111)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IParameterConfigurationEvaluator.cs	(revision 5111)
@@ -0,0 +1,8 @@
+﻿using HeuristicLab.Optimization;
+
+namespace HeuristicLab.Problems.MetaOptimization {
+  /// <summary>
+  /// An interface which represents an evaluation operator for Meta Optimization Problems.
+  /// </summary>
+  public interface IParameterConfigurationEvaluator : ISingleObjectiveEvaluator {  }
+}
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IParameterConfigurationManipulator.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IParameterConfigurationManipulator.cs	(revision 5110)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IParameterConfigurationManipulator.cs	(revision 5111)
@@ -8,5 +8,5 @@
 namespace HeuristicLab.Problems.MetaOptimization {
   public interface IParameterConfigurationManipulator : IParameterConfigurationOperator, IManipulator {
-    ILookupParameter<ParameterConfigurationTree> ParameterConfigurationTreeParameter { get; }
+    IValueLookupParameter<ParameterConfigurationTree> ParameterConfigurationTreeParameter { get; }
   }
 }