Index: /trunk/sources/HeuristicLab.DebugEngine/3.3/ExecutionStackView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.DebugEngine/3.3/ExecutionStackView.Designer.cs	(revision 5115)
+++ /trunk/sources/HeuristicLab.DebugEngine/3.3/ExecutionStackView.Designer.cs	(revision 5116)
@@ -47,6 +47,6 @@
       this.components = new System.ComponentModel.Container();
       this.treeView = new System.Windows.Forms.TreeView();
+      this.imageList = new System.Windows.Forms.ImageList(this.components);
       this.groupBox = new System.Windows.Forms.GroupBox();
-      this.imageList = new System.Windows.Forms.ImageList(this.components);
       this.groupBox.SuspendLayout();
       this.SuspendLayout();
@@ -54,14 +54,22 @@
       // treeView
       // 
-      this.treeView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.treeView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.treeView.ImageIndex = 0;
       this.treeView.ImageList = this.imageList;
-      this.treeView.Location = new System.Drawing.Point(3, 16);
+      this.treeView.Location = new System.Drawing.Point(6, 19);
       this.treeView.Name = "treeView";
       this.treeView.SelectedImageIndex = 0;
       this.treeView.ShowNodeToolTips = true;
-      this.treeView.Size = new System.Drawing.Size(303, 261);
+      this.treeView.Size = new System.Drawing.Size(297, 255);
       this.treeView.TabIndex = 0;
       this.treeView.NodeMouseDoubleClick += new System.Windows.Forms.TreeNodeMouseClickEventHandler(this.treeView_NodeMouseDoubleClick);
+      // 
+      // imageList
+      // 
+      this.imageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
+      this.imageList.ImageSize = new System.Drawing.Size(16, 16);
+      this.imageList.TransparentColor = System.Drawing.Color.Transparent;
       // 
       // groupBox
@@ -75,10 +83,4 @@
       this.groupBox.TabStop = false;
       this.groupBox.Text = "Execution Stack";
-      // 
-      // imageList
-      // 
-      this.imageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
-      this.imageList.ImageSize = new System.Drawing.Size(16, 16);
-      this.imageList.TransparentColor = System.Drawing.Color.Transparent;
       // 
       // ExecutionStackView
Index: /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContentView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContentView.Designer.cs	(revision 5115)
+++ /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContentView.Designer.cs	(revision 5116)
@@ -50,4 +50,6 @@
       this.executionContextGroupBox = new System.Windows.Forms.GroupBox();
       this.executionContextTreeView = new System.Windows.Forms.TreeView();
+      this.executionContextConextMenu = new System.Windows.Forms.ContextMenuStrip(this.components);
+      this.showValueToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.executionContextImageList = new System.Windows.Forms.ImageList(this.components);
       this.scopeGroupBox = new System.Windows.Forms.GroupBox();
@@ -55,10 +57,5 @@
       this.scopeImageList = new System.Windows.Forms.ImageList(this.components);
       this.nameTextBox = new System.Windows.Forms.TextBox();
-      this.contextLabel = new System.Windows.Forms.Label();
-      this.atomicLabel = new System.Windows.Forms.Label();
-      this.collectionLabel = new System.Windows.Forms.Label();
       this.parametersImageList = new System.Windows.Forms.ImageList(this.components);
-      this.executionContextConextMenu = new System.Windows.Forms.ContextMenuStrip(this.components);
-      this.showValueToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.groupBox.SuspendLayout();
       this.splitContainer1.Panel1.SuspendLayout();
@@ -66,6 +63,6 @@
       this.splitContainer1.SuspendLayout();
       this.executionContextGroupBox.SuspendLayout();
+      this.executionContextConextMenu.SuspendLayout();
       this.scopeGroupBox.SuspendLayout();
-      this.executionContextConextMenu.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -74,7 +71,4 @@
       this.groupBox.Controls.Add(this.splitContainer1);
       this.groupBox.Controls.Add(this.nameTextBox);
-      this.groupBox.Controls.Add(this.contextLabel);
-      this.groupBox.Controls.Add(this.atomicLabel);
-      this.groupBox.Controls.Add(this.collectionLabel);
       this.groupBox.Dock = System.Windows.Forms.DockStyle.Fill;
       this.groupBox.Location = new System.Drawing.Point(0, 0);
@@ -117,16 +111,36 @@
       // executionContextTreeView
       // 
+      this.executionContextTreeView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.executionContextTreeView.ContextMenuStrip = this.executionContextConextMenu;
-      this.executionContextTreeView.Dock = System.Windows.Forms.DockStyle.Fill;
       this.executionContextTreeView.ImageIndex = 0;
       this.executionContextTreeView.ImageList = this.executionContextImageList;
-      this.executionContextTreeView.Location = new System.Drawing.Point(3, 16);
+      this.executionContextTreeView.Location = new System.Drawing.Point(6, 19);
       this.executionContextTreeView.Name = "executionContextTreeView";
       this.executionContextTreeView.SelectedImageIndex = 0;
       this.executionContextTreeView.ShowNodeToolTips = true;
-      this.executionContextTreeView.Size = new System.Drawing.Size(236, 342);
+      this.executionContextTreeView.Size = new System.Drawing.Size(230, 336);
       this.executionContextTreeView.TabIndex = 0;
       this.executionContextTreeView.NodeMouseClick += new System.Windows.Forms.TreeNodeMouseClickEventHandler(this.executionContextTreeView_NodeMouseClick);
       this.executionContextTreeView.NodeMouseDoubleClick += new System.Windows.Forms.TreeNodeMouseClickEventHandler(this.executionContextTreeView_NodeMouseDoubleClick);
+      this.executionContextTreeView.MouseDown += new System.Windows.Forms.MouseEventHandler(this.executionContextTreeView_MouseDown);
+      // 
+      // executionContextConextMenu
+      // 
+      this.executionContextConextMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.showValueToolStripMenuItem});
+      this.executionContextConextMenu.Name = "executionContextConextMenu";
+      this.executionContextConextMenu.Size = new System.Drawing.Size(173, 26);
+      this.executionContextConextMenu.Opening += new System.ComponentModel.CancelEventHandler(this.executionContextConextMenu_Opening);
+      // 
+      // showValueToolStripMenuItem
+      // 
+      this.showValueToolStripMenuItem.Name = "showValueToolStripMenuItem";
+      this.showValueToolStripMenuItem.Size = new System.Drawing.Size(172, 22);
+      this.showValueToolStripMenuItem.Text = "Show Actual Value";
+      this.showValueToolStripMenuItem.ToolTipText = "Try to obtain the parameter\'s actual value in the current execution context and o" +
+    "pen it in a new view.";
+      this.showValueToolStripMenuItem.Click += new System.EventHandler(this.ShowValue_Click);
       // 
       // executionContextImageList
@@ -149,12 +163,14 @@
       // scopeTreeView
       // 
-      this.scopeTreeView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.scopeTreeView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.scopeTreeView.ImageIndex = 0;
       this.scopeTreeView.ImageList = this.scopeImageList;
-      this.scopeTreeView.Location = new System.Drawing.Point(3, 16);
+      this.scopeTreeView.Location = new System.Drawing.Point(6, 19);
       this.scopeTreeView.Name = "scopeTreeView";
       this.scopeTreeView.SelectedImageIndex = 0;
       this.scopeTreeView.ShowNodeToolTips = true;
-      this.scopeTreeView.Size = new System.Drawing.Size(299, 342);
+      this.scopeTreeView.Size = new System.Drawing.Size(293, 336);
       this.scopeTreeView.TabIndex = 0;
       this.scopeTreeView.NodeMouseDoubleClick += new System.Windows.Forms.TreeNodeMouseClickEventHandler(this.scopeTreeView_NodeMouseDoubleClick);
@@ -174,40 +190,7 @@
       this.nameTextBox.Name = "nameTextBox";
       this.nameTextBox.ReadOnly = true;
-      this.nameTextBox.Size = new System.Drawing.Size(395, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(551, 20);
       this.nameTextBox.TabIndex = 3;
       this.nameTextBox.DoubleClick += new System.EventHandler(this.nameTextBox_DoubleClick);
-      // 
-      // contextLabel
-      // 
-      this.contextLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.contextLabel.AutoSize = true;
-      this.contextLabel.ForeColor = System.Drawing.SystemColors.ControlDark;
-      this.contextLabel.Location = new System.Drawing.Point(407, 22);
-      this.contextLabel.Name = "contextLabel";
-      this.contextLabel.Size = new System.Drawing.Size(43, 13);
-      this.contextLabel.TabIndex = 2;
-      this.contextLabel.Text = "Context";
-      // 
-      // atomicLabel
-      // 
-      this.atomicLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.atomicLabel.AutoSize = true;
-      this.atomicLabel.ForeColor = System.Drawing.SystemColors.ControlDark;
-      this.atomicLabel.Location = new System.Drawing.Point(456, 22);
-      this.atomicLabel.Name = "atomicLabel";
-      this.atomicLabel.Size = new System.Drawing.Size(39, 13);
-      this.atomicLabel.TabIndex = 1;
-      this.atomicLabel.Text = "Atomic";
-      // 
-      // collectionLabel
-      // 
-      this.collectionLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.collectionLabel.AutoSize = true;
-      this.collectionLabel.ForeColor = System.Drawing.SystemColors.ControlDark;
-      this.collectionLabel.Location = new System.Drawing.Point(501, 22);
-      this.collectionLabel.Name = "collectionLabel";
-      this.collectionLabel.Size = new System.Drawing.Size(53, 13);
-      this.collectionLabel.TabIndex = 0;
-      this.collectionLabel.Text = "Collection";
       // 
       // parametersImageList
@@ -216,21 +199,4 @@
       this.parametersImageList.ImageSize = new System.Drawing.Size(16, 16);
       this.parametersImageList.TransparentColor = System.Drawing.Color.Transparent;
-      // 
-      // executionContextConextMenu
-      // 
-      this.executionContextConextMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.showValueToolStripMenuItem});
-      this.executionContextConextMenu.Name = "executionContextConextMenu";
-      this.executionContextConextMenu.Size = new System.Drawing.Size(169, 48);
-      this.executionContextConextMenu.Opening += new System.ComponentModel.CancelEventHandler(this.executionContextConextMenu_Opening);
-      // 
-      // showValueToolStripMenuItem
-      // 
-      this.showValueToolStripMenuItem.Name = "showValueToolStripMenuItem";
-      this.showValueToolStripMenuItem.Size = new System.Drawing.Size(168, 22);
-      this.showValueToolStripMenuItem.Text = "show actual value";
-      this.showValueToolStripMenuItem.ToolTipText = "Try to obtain the parameter\'s actual value in the current execution context and o" +
-    "pen it in a new view.";
-      this.showValueToolStripMenuItem.Click += new System.EventHandler(this.ShowValue_Click);
       // 
       // OperationContentView
@@ -247,6 +213,6 @@
       this.splitContainer1.ResumeLayout(false);
       this.executionContextGroupBox.ResumeLayout(false);
+      this.executionContextConextMenu.ResumeLayout(false);
       this.scopeGroupBox.ResumeLayout(false);
-      this.executionContextConextMenu.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -257,7 +223,4 @@
     private System.Windows.Forms.GroupBox groupBox;
     private System.Windows.Forms.TextBox nameTextBox;
-    private System.Windows.Forms.Label contextLabel;
-    private System.Windows.Forms.Label atomicLabel;
-    private System.Windows.Forms.Label collectionLabel;
     private System.Windows.Forms.SplitContainer splitContainer1;
     private System.Windows.Forms.TreeView scopeTreeView;
Index: /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContentView.cs
===================================================================
--- /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContentView.cs	(revision 5115)
+++ /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContentView.cs	(revision 5116)
@@ -48,13 +48,7 @@
       if (Content == null) {
         nameTextBox.Text = "";
-        contextLabel.ForeColor = SystemColors.ControlDark;
-        atomicLabel.ForeColor = SystemColors.ControlDark;
-        collectionLabel.ForeColor = SystemColors.ControlDark;
         scopeTreeView.Nodes.Clear();
         executionContextTreeView.Nodes.Clear();
       } else {
-        contextLabel.ForeColor = Content.IsContext ? Color.Black : SystemColors.ControlDark;
-        atomicLabel.ForeColor = Content.IsAtomic ? Color.Black : SystemColors.ControlDark;
-        collectionLabel.ForeColor = Content.IsCollection ? Color.Black : SystemColors.ControlDark;
         nameTextBox.Text = Content.Name;
         UpdateScopeTree();
@@ -63,5 +57,5 @@
     }
 
-    private object GetParameterValue(IParameter param, IExecutionContext context) {
+    private object GetParameterValue(IParameter param, IExecutionContext context, out string actualName) {
       param = (IParameter)param.Clone();
       param.ExecutionContext = context;
@@ -72,4 +66,9 @@
         value = x.Message;
       }
+      ILookupParameter lookupParam = param as ILookupParameter;
+      if (lookupParam != null)
+        actualName = lookupParam.ActualName;
+      else
+        actualName = null;
       return value;
     }
@@ -146,6 +145,10 @@
       node.SelectedImageIndex = 0;
       foreach (var param in executionContext.Parameters) {
-        TreeNode paramNode = node.Nodes.Add(string.Format("{0}={1}",
-          param.Name, GetParameterValue(param, executionContext)));
+        string actualName = null;
+        object value = GetParameterValue(param, executionContext, out actualName);
+        string label = actualName != null && actualName != param.Name ?
+          string.Format("{0}({1})={2}", param.Name, actualName, value) :
+          string.Format("{0}={1}", param.Name, value);
+        TreeNode paramNode = node.Nodes.Add(label);
         paramNode.Tag = param;
         executionContextTreeView.ImageList.Images.Add(param.ItemImage ?? VS2008ImageLibrary.Nothing);
@@ -180,4 +183,5 @@
     private TreeNode selectedScopeNode = null;
     private void executionContextTreeView_NodeMouseClick(object sender, TreeNodeMouseClickEventArgs e) {
+      scopeTreeView.BeginUpdate();
       if (selectedScopeNode != null) {
         if (Content.IsAtomic && Content.AtomicOperation.Scope == selectedScopeNode.Tag) {
@@ -210,4 +214,5 @@
         }
       }
+      scopeTreeView.EndUpdate();
     }
 
@@ -234,18 +239,24 @@
         return;
       IParameter param = executionContextTreeView.SelectedNode.Tag as IParameter;
+      string actualName = null;
       if (param != null)
-        MainFormManager.MainForm.ShowContent(GetParameterValue(param, Content.ExecutionContext) as IContent);
-    }
-
-    #endregion
+        MainFormManager.MainForm.ShowContent(GetParameterValue(param, Content.ExecutionContext, out actualName) as IContent);
+    }
 
     private void executionContextConextMenu_Opening(object sender, System.ComponentModel.CancelEventArgs e) {
       IParameter param = executionContextTreeView.SelectedNode.Tag as IParameter;
+      string actualName = null;
       if (param != null)
-        showValueToolStripMenuItem.Enabled = GetParameterValue(param, Content.ExecutionContext) is IContent;
+        showValueToolStripMenuItem.Enabled = GetParameterValue(param, Content.ExecutionContext, out actualName) is IContent;
       else
         e.Cancel = true;
     }
 
+    private void executionContextTreeView_MouseDown(object sender, MouseEventArgs e) {
+      if (e.Button == System.Windows.Forms.MouseButtons.Right)
+        executionContextTreeView.SelectedNode = executionContextTreeView.GetNodeAt(e.Location);
+    }
+
+    #endregion
 
 
Index: /trunk/sources/HeuristicLab.DebugEngine/3.3/OperatorTraceView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.DebugEngine/3.3/OperatorTraceView.Designer.cs	(revision 5115)
+++ /trunk/sources/HeuristicLab.DebugEngine/3.3/OperatorTraceView.Designer.cs	(revision 5116)
@@ -66,13 +66,15 @@
       // listView
       // 
+      this.listView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.listView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
             this.listViewColumnHeader});
-      this.listView.Dock = System.Windows.Forms.DockStyle.Fill;
       this.listView.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.None;
       this.listView.HideSelection = false;
-      this.listView.Location = new System.Drawing.Point(3, 16);
+      this.listView.Location = new System.Drawing.Point(6, 19);
       this.listView.Name = "listView";
       this.listView.ShowItemToolTips = true;
-      this.listView.Size = new System.Drawing.Size(146, 470);
+      this.listView.Size = new System.Drawing.Size(140, 464);
       this.listView.SmallImageList = this.imageList;
       this.listView.TabIndex = 0;