Index: branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/HeuristicLab.Algorithms.TabuSearch-3.3.csproj
===================================================================
--- branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/HeuristicLab.Algorithms.TabuSearch-3.3.csproj	(revision 5120)
+++ branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/HeuristicLab.Algorithms.TabuSearch-3.3.csproj	(revision 5128)
@@ -106,4 +106,6 @@
   <ItemGroup>
     <None Include="HeuristicLabAlgorithmsTabuSearchPlugin.cs.frame" />
+    <Compile Include="MemoryCreator.cs" />
+    <Compile Include="Memory.cs" />
     <Compile Include="HeuristicLabAlgorithmsTabuSearchPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
Index: branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/Memory.cs
===================================================================
--- branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/Memory.cs	(revision 5128)
+++ branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/Memory.cs	(revision 5128)
@@ -0,0 +1,71 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Operators;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using System.Collections.Generic;
+using HeuristicLab.Optimization;
+
+namespace HeuristicLab.Algorithms.TabuSearch {
+  [Item("Memory", "A generic memory structure for tabu search.")]
+  [StorableClass]
+  public class Memory : Item, IMemory {
+    [Storable]
+    private IDictionary<string, IItem> memory;
+    
+    [StorableConstructor]
+    protected Memory(bool deserializing) : base(deserializing) { }
+    protected Memory(Memory original, Cloner cloner)
+      : base(original, cloner) {
+      memory = new Dictionary<string, IItem>();
+      foreach (string key in original.memory.Keys) {
+        memory[key] = cloner.Clone(original.memory[key]);
+      }
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new Memory(this, cloner);
+    }
+
+    public Memory()
+      : base() {
+        memory = new Dictionary<string, IItem>();
+    }
+
+    public void Put(string key, IItem item) {
+      memory[key] = item;
+    }
+
+    public IItem Get(string key) {
+      if (memory.ContainsKey(key))
+        return memory[key];
+      else
+        return null;
+    }
+
+    public void Reset() {
+      memory.Clear();
+    }
+  }
+}
Index: branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/MemoryCreator.cs
===================================================================
--- branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/MemoryCreator.cs	(revision 5128)
+++ branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/MemoryCreator.cs	(revision 5128)
@@ -0,0 +1,67 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Operators;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Algorithms.TabuSearch {
+  [Item("MemoryCreator", "An operator that creates a new empty memory. It can also replace an existing memory with a new empty one.")]
+  [StorableClass]
+  public class MemoryCreator : SingleSuccessorOperator {
+    public ValueLookupParameter<Memory> MemoryParameter {
+      get { return (ValueLookupParameter<Memory>)Parameters["Memory"]; }
+    }
+    protected ScopeParameter CurrentScopeParameter {
+      get { return (ScopeParameter)Parameters["CurrentScope"]; }
+    }
+    public IScope CurrentScope {
+      get { return CurrentScopeParameter.ActualValue; }
+    }
+
+    [StorableConstructor]
+    protected MemoryCreator(bool deserializing) : base(deserializing) { }
+    protected MemoryCreator(MemoryCreator original, Cloner cloner)
+      : base(original, cloner) {
+    }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new MemoryCreator(this, cloner);
+    }
+
+    public MemoryCreator()
+      : base() {
+      Parameters.Add(new ValueLookupParameter<Memory>("MemoryCreator", "The memory.", new Memory()));
+      Parameters.Add(new ScopeParameter("CurrentScope", "The current scope."));
+    }
+
+    public override IOperation Apply() {
+      IVariable var;
+      CurrentScope.Variables.TryGetValue(MemoryParameter.ActualName, out var);
+      if (var != null)
+        var.Value = (IItem)MemoryParameter.ActualValue.Clone();
+      else
+        CurrentScope.Variables.Add(new Variable(MemoryParameter.ActualName, (IItem)MemoryParameter.ActualValue.Clone()));
+      return base.Apply();
+    }
+  }
+}
Index: branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearchMainLoop.cs
===================================================================
--- branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearchMainLoop.cs	(revision 5120)
+++ branches/TSMemory/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearchMainLoop.cs	(revision 5128)
@@ -153,4 +153,5 @@
       variableCreator.CollectedValues.Add(new ValueParameter<BoolValue>("EmptyNeighborhood", new BoolValue(false)));
       variableCreator.CollectedValues.Add(new ValueParameter<ItemList<IItem>>("TabuList", new ItemList<IItem>()));
+      variableCreator.CollectedValues.Add(new ValueParameter<Memory>("Memory", new Memory()));
       variableCreator.CollectedValues.Add(new ValueParameter<DoubleValue>("BestQuality", new DoubleValue(0)));
 